package com.example.smartlab

import android.content.Context
import android.content.SharedPreferences
import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.appcompat.app.AppCompatActivity
import androidx.recyclerview.widget.RecyclerView
import com.example.smartlab.databinding.FragmentPatientCardBinding
import com.example.smartlab.databinding.FragmentUserProfileBinding

class UserProfileFragment : Fragment() {

    private val editor: SharedPreferences.Editor =
        (activity as Context).getSharedPreferences("PREFERENCE", AppCompatActivity.MODE_PRIVATE).edit()
    private val prefs: SharedPreferences = (activity as Context).getSharedPreferences("PREFERENCE", AppCompatActivity.MODE_PRIVATE)
    private var _binding: FragmentUserProfileBinding? = null
    private val binding get() = _binding!!
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        _binding = FragmentUserProfileBinding.inflate(inflater, container, false)
        //код для проверки есть профиль или нет
        //editor.putInt("idUser", 0)
        //editor.apply()

        return binding.root
    }
}